var screen_size = Global.GetScreenSize();

UI.AddCheckbox("Fakelag Indicator")
var screen_size = Global.GetScreenSize();
var lp = Entity.GetLocalPlayer()
var Inair = function() {
    if(!(Entity.GetProp(Entity.GetLocalPlayer(), "CBasePlayer", "m_fFlags") & (1 << 0))) {
        return true;
    } else {
        return false;
    }
}
var getVelocity = function(index) {
    players = Entity.GetPlayers();
    for(i = 0; i < players.length; i++); {
        var velocity = Entity.GetProp(index, "CBasePlayer", "m_vecVelocity[0]");
        var speed = Math.sqrt(velocity[0] * velocity[0] + velocity[1] * velocity[1]);
    }
    return speed;
}
Render.Arc = function (x, y, radius, radius_inner, start_angle, end_angle, segments, color)
{
    segments = 360 / segments;
    for (var i = start_angle; i < start_angle + end_angle; i = i + segments)
    {
        var rad = i * Math.PI / 180;
        var rad2 = (i + segments) * Math.PI / 180;
        var rad_cos = Math.cos(rad);
        var rad_sin = Math.sin(rad);
        var rad2_cos = Math.cos(rad2);
        var rad2_sin = Math.sin(rad2);
        var x1_inner = x + rad_cos * radius_inner;
        var y1_inner = y + rad_sin * radius_inner;
        var x1_outer = x + rad_cos * radius;
        var y1_outer = y + rad_sin * radius;
        var x2_inner = x + rad2_cos * radius_inner;
        var y2_inner = y + rad2_sin * radius_inner;
        var x2_outer = x + rad2_cos * radius;
        var y2_outer = y + rad2_sin * radius;
        Render.Polygon( [
            [ x1_outer, y1_outer ],
            [ x2_outer, y2_outer ],
            [ x1_inner, y1_inner ] ],
            color
        );
        Render.Polygon( [
            [ x1_inner, y1_inner ],
            [ x2_outer, y2_outer ],
            [ x2_inner, y2_inner ] ],
            color
        );
    }
}
var time_to_ticks = function(a)
    {
        return Math.floor(0.5 + a / Globals.TickInterval())
    }
fakelag = time_to_ticks(Globals.Curtime() - Entity.GetProp(Entity.GetLocalPlayer(), "DT_CSPlayer", "m_flSimulationTime")) + 1
if(fakelag < 0)
        fakelag = 0
    if(fakelag > 16)
        fakelag = 16
      
function draw(){
    cur_dmg = UI.GetValue("Script items", "Damage override")
    velocity = Math.round(getVelocity(lp)).toString()
    add_y = 0
    var fakelag = time_to_ticks(Globals.Curtime() - Entity.GetProp(Entity.GetLocalPlayer(), "DT_CSPlayer", "m_flSimulationTime")) + 1
    Render.Indicator = function(text, col) {
        x = screen_size[0] / 100
        y = screen_size[1] / 1.33
        fonts = Render.AddFont("Calibri", 18, 900);
        text_size = Render.TextSize(text, fonts)
        width = text_size[0] / 2 - 2;
        add_y = add_y + 33
        Render.GradientRect(13, y - add_y - 3, width / 2, 26, 1, [0, 0, 0, 0], [0, 0, 0, 55]);
        Render.GradientRect(13 + width / 2, y - add_y - 3, width / 2, 26, 1, [0, 0, 0, 55], [0, 0, 0, 0]);
        Render.StringCustom(x - 3, y + 1 - (add_y + 5), 0, text, [33, 33, 33, 180], fonts)
        Render.StringCustom(x - 3, y - (add_y + 5), 0, text, col, fonts)
    }
    fonts = Render.AddFont("calibrib.ttf", 18, 900)
    if(Entity.IsAlive(Entity.GetLocalPlayer())) {
    if (velocity > 255 || Inair()) {
        Render.Indicator("LC", velocity > 275 ? [132, 195, 16, 255] : [255, 0, 0, 255])
    }
    if (UI.IsHotkeyActive("Extra", "Fake duck")){
        Render.Indicator("DUCK", [255, 255, 255, 255])
    }
    if (UI.IsHotkeyActive("Rage", "GENERAL", "General", "Force body aim")) {
        Render.Indicator("BAIM", [255, 0, 0, 255])
    }
    if (UI.IsHotkeyActive("Rage", "GENERAL", "General", "Force safe point")) {
        Render.Indicator("SAFE", [132, 195, 16, 255])
    }
    if (UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "Ping spike")) {
        Render.Indicator("PING", [255 - ((Entity.GetProp(Entity.GetLocalPlayer(), "CPlayerResource", "m_iPing") / 189 * 60) * 2.29824561404), (Entity.GetProp(Entity.GetLocalPlayer(), "CPlayerResource", "m_iPing") / 189 * 60) * 3.42105263158, (Entity.GetProp(Entity.GetLocalPlayer(), "CPlayerResource", "m_iPing") / 189 * 60) * 0.22807017543, 255])
    }
    if (UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "Damage override key")) {
        Render.Indicator("DMG : " + cur_dmg, [164, 164, 164, 255]);
    }
    if (UI.GetValue("Anti-Aim", "Rage Anti-Aim", "Auto direction")) {
        Render.Indicator("FREESTAND", [132, 195, 16, 255]);
    }
    if (UI.GetValue("Anti-Aim", "Rage Anti-Aim", "At targets")) {
        Render.Indicator("AT", [132, 195, 16, 255])
    }
    if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "Fakelag Indicator")) {
        Render.Indicator("FL", [135, 147, 255, 255])
        Render.Arc(x + 30, y - 25 - add_y + 35,10,5,0,360,120,[17, 17, 17,255])
        Render.Arc(x + 30, y - 25 - add_y + 35,9,6,0,fakelag * 20,120,[129, 133, 252,255])
    }
    if (UI.IsHotkeyActive("Exploits", "Hide shots")){
        Render.Indicator("ONSHOT", [132, 195, 16, 255])
    }
    if (UI.IsHotkeyActive("Exploits", "Double tap")){
        Render.Indicator("DT", Exploit.GetCharge() == 1 ? [255, 255, 255, 255] : [255, 0, 0, 255])
    }
    }
}
Cheat.RegisterCallback("Draw", "draw");